<?php

return [
    
    /*
    |--------------------------------------------------------------------------
    | 内容过滤配置
    |--------------------------------------------------------------------------
    |
    | 这里配置了内容过滤相关的敏感词汇和过滤规则
    |
    */

    // 敏感词 - 遇到这些词汇会直接阻止提交
    'blocked_words' => [
        // 严重脏话
        // 'fuck', 'shit', 'damn', 'bitch', 'asshole',
        // 中文严重敏感词
        // '垃圾', '诈骗', '骗子', '傻逼', '操你妈', '草泥马', '妈的', '他妈的',
        // // 政治敏感词
        // '法轮功', '六四', '天安门事件',
        // // 其他严重违规内容
        // 'terror', 'bomb', 'kill', 'die', 'death',
        // // 垃圾信息相关
        // 'spam', 'scam', 'fake', 'fraud', 'cheat',
        // // 恶意内容
        // 'hack', 'virus', 'malware', 'phishing',
        // // 商业垃圾信息
        // 'casino', 'gambling', 'loan', 'debt', 'credit', 'money', 'cash',
        // // 测试相关
        // 'test', 'testing', '测试', 'asdf', 'qwerty', 'demo',
        // // 广告相关
        // 'advertisement', 'promotion', 'discount', 'free', 'win', 'prize',
        // // 中文敏感词
        // '赌博', '博彩', '贷款', '借钱', '投资', '理财', '股票', '彩票',
        //http相关
        'http', 'https', 'www',
    ],

    // 内容长度限制
    'max_length' => [
        'customer_name' => 255,
        'content' => 5000,
    ],

    // 需要过滤的字段
    'filter_fields' => [
        'customer_name',
        'content',
        'email',
        'whats_app',
        'consulting_products',
    ],

    // 是否启用过滤功能
    'enabled' => env('CONTENT_FILTER_ENABLED', true),

    // 是否记录过滤日志
    'log_filtered' => env('CONTENT_FILTER_LOG', false),

]; 